
package de.ivu.elect.presentation.wahlbeteiligung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.replikation.ReplikationPresentationStatus;
import de.ivu.elect.presentation.wahlbeteiligung.WahlbeteiligungAuswertungCreateView;

public class WahlbeteiligungAuswertungCreateMenuItemEntry extends AbstractWahlbeteiligungAuswertungMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ReplikationPresentationStatus replikationPresentationStatus;

  public WahlbeteiligungAuswertungCreateMenuItemEntry() {
    super();
  }

  @Override
  public boolean isRendered() {
    return super.isRendered() && !isSlave();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.WAHLBETEILIGUNG_AUSWERTUNG_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return WahlbeteiligungAuswertungCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getEinzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconCreate();
  }

  private boolean isSlave() {
    return replikationPresentationStatus.isSlave();
  }
}
